
package it.siae.valorizzatore.integration.sso;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.7-b01 
 * Generated source version: 2.2
 * 
 */
@WebService(name = "AuthenticationServiceSoap", targetNamespace = "http://aas.siae.it/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface AuthenticationServiceSoap {


    /**
     * 
     * @param operatore
     * @param userName
     * @param securityPassword
     * @param ip
     * @return
     *     returns it.siae.valorizzatore.integration.EsitiResetPassword
     */
    @WebMethod(operationName = "ResetPassword", action = "http://aas.siae.it/ResetPassword")
    @WebResult(name = "ResetPasswordResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "ResetPassword", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.ResetPassword")
    @ResponseWrapper(localName = "ResetPasswordResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.ResetPasswordResponse")
    public EsitiResetPassword resetPassword(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName,
        @WebParam(name = "ip", targetNamespace = "http://aas.siae.it/")
        String ip,
        @WebParam(name = "operatore", targetNamespace = "http://aas.siae.it/")
        String operatore,
        @WebParam(name = "securityPassword", targetNamespace = "http://aas.siae.it/")
        String securityPassword);

    /**
     * 
     * @param operatore
     * @param newPassword
     * @param userName
     * @param securityPassword
     * @param oldPassword
     * @param ip
     * @return
     *     returns it.siae.valorizzatore.integration.EsitiCambioPassword
     */
    @WebMethod(operationName = "ChangePassword", action = "http://aas.siae.it/ChangePassword")
    @WebResult(name = "ChangePasswordResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "ChangePassword", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.ChangePassword")
    @ResponseWrapper(localName = "ChangePasswordResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.ChangePasswordResponse")
    public EsitiCambioPassword changePassword(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName,
        @WebParam(name = "oldPassword", targetNamespace = "http://aas.siae.it/")
        String oldPassword,
        @WebParam(name = "newPassword", targetNamespace = "http://aas.siae.it/")
        String newPassword,
        @WebParam(name = "ip", targetNamespace = "http://aas.siae.it/")
        String ip,
        @WebParam(name = "operatore", targetNamespace = "http://aas.siae.it/")
        String operatore,
        @WebParam(name = "securityPassword", targetNamespace = "http://aas.siae.it/")
        String securityPassword);

    /**
     * 
     * @param userName
     * @param password
     * @return
     *     returns it.siae.valorizzatore.integration.EsitiAutenticazione
     */
    @WebMethod(operationName = "Login", action = "http://aas.siae.it/Login")
    @WebResult(name = "LoginResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "Login", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.Login")
    @ResponseWrapper(localName = "LoginResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.LoginResponse")
    public EsitiAutenticazione login(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName,
        @WebParam(name = "password", targetNamespace = "http://aas.siae.it/")
        String password);

    /**
     * 
     * @param userName
     * @return
     *     returns it.siae.valorizzatore.integration.UtenteBackOffice
     */
    @WebMethod(operationName = "GetUserData", action = "http://aas.siae.it/GetUserData")
    @WebResult(name = "GetUserDataResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "GetUserData", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetUserData")
    @ResponseWrapper(localName = "GetUserDataResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetUserDataResponse")
    public UtenteBackOffice getUserData(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName);

    /**
     * 
     * @param userName
     * @return
     *     returns it.siae.valorizzatore.integration.UtenteBackOfficeV2
     */
    @WebMethod(operationName = "GetUserData_v2", action = "http://aas.siae.it/GetUserData_v2")
    @WebResult(name = "GetUserData_v2Result", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "GetUserData_v2", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetUserDataV2")
    @ResponseWrapper(localName = "GetUserData_v2Response", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetUserDataV2Response")
    public UtenteBackOfficeV2 getUserDataV2(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName);

    /**
     * 
     * @param appCode
     * @param userName
     * @return
     *     returns it.siae.valorizzatore.integration.ArrayOfString
     */
    @WebMethod(operationName = "GetUserGroups", action = "http://aas.siae.it/GetUserGroups")
    @WebResult(name = "GetUserGroupsResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "GetUserGroups", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetUserGroups")
    @ResponseWrapper(localName = "GetUserGroupsResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetUserGroupsResponse")
    public ArrayOfString getUserGroups(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName,
        @WebParam(name = "appCode", targetNamespace = "http://aas.siae.it/")
        String appCode);

    /**
     * 
     * @param applicationGroup
     * @param subApplicationGroup
     * @return
     *     returns it.siae.valorizzatore.integration.ArrayOfString
     */
    @WebMethod(operationName = "GetGroupMembers", action = "http://aas.siae.it/GetGroupMembers")
    @WebResult(name = "GetGroupMembersResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "GetGroupMembers", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetGroupMembers")
    @ResponseWrapper(localName = "GetGroupMembersResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetGroupMembersResponse")
    public ArrayOfString getGroupMembers(
        @WebParam(name = "applicationGroup", targetNamespace = "http://aas.siae.it/")
        String applicationGroup,
        @WebParam(name = "subApplicationGroup", targetNamespace = "http://aas.siae.it/")
        String subApplicationGroup);

    /**
     * 
     * @param applicationGroup
     * @param applicationSubGroup
     * @return
     *     returns int
     */
    @WebMethod(operationName = "GetSecurityLevel", action = "http://aas.siae.it/GetSecurityLevel")
    @WebResult(name = "GetSecurityLevelResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "GetSecurityLevel", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetSecurityLevel")
    @ResponseWrapper(localName = "GetSecurityLevelResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetSecurityLevelResponse")
    public int getSecurityLevel(
        @WebParam(name = "applicationGroup", targetNamespace = "http://aas.siae.it/")
        String applicationGroup,
        @WebParam(name = "applicationSubGroup", targetNamespace = "http://aas.siae.it/")
        String applicationSubGroup);

    /**
     * 
     * @param userName
     * @return
     *     returns java.lang.String
     */
    @WebMethod(operationName = "GetLdapPasswordExpirationTime", action = "http://aas.siae.it/GetLdapPasswordExpirationTime")
    @WebResult(name = "GetLdapPasswordExpirationTimeResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "GetLdapPasswordExpirationTime", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetLdapPasswordExpirationTime")
    @ResponseWrapper(localName = "GetLdapPasswordExpirationTimeResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.GetLdapPasswordExpirationTimeResponse")
    public String getLdapPasswordExpirationTime(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName);

    /**
     * 
     * @param userName
     * @param password
     * @param ip
     * @return
     *     returns it.siae.valorizzatore.integration.UniqueLoginResponse
     */
    @WebMethod(operationName = "LoginSSO", action = "http://aas.siae.it/LoginSSO")
    @WebResult(name = "LoginSSOResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "LoginSSO", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.LoginSSO")
    @ResponseWrapper(localName = "LoginSSOResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.LoginSSOResponse")
    public UniqueLoginResponse loginSSO(
        @WebParam(name = "userName", targetNamespace = "http://aas.siae.it/")
        String userName,
        @WebParam(name = "password", targetNamespace = "http://aas.siae.it/")
        String password,
        @WebParam(name = "ip", targetNamespace = "http://aas.siae.it/")
        String ip);

    /**
     * 
     * @param authenticationToken
     * @param ip
     */
    @WebMethod(operationName = "ExpireToken", action = "http://aas.siae.it/ExpireToken")
    @RequestWrapper(localName = "ExpireToken", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.ExpireToken")
    @ResponseWrapper(localName = "ExpireTokenResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.ExpireTokenResponse")
    public void expireToken(
        @WebParam(name = "authenticationToken", targetNamespace = "http://aas.siae.it/")
        String authenticationToken,
        @WebParam(name = "ip", targetNamespace = "http://aas.siae.it/")
        String ip);

    /**
     * 
     * @param authenticationToken
     * @param ip
     */
    @WebMethod(operationName = "RefreshToken", action = "http://aas.siae.it/RefreshToken")
    @RequestWrapper(localName = "RefreshToken", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.RefreshToken")
    @ResponseWrapper(localName = "RefreshTokenResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.RefreshTokenResponse")
    public void refreshToken(
        @WebParam(name = "authenticationToken", targetNamespace = "http://aas.siae.it/")
        String authenticationToken,
        @WebParam(name = "ip", targetNamespace = "http://aas.siae.it/")
        String ip);

    /**
     * 
     * @param applicationCode
     * @param authenticationToken
     * @param ip
     * @return
     *     returns java.lang.String
     */
    @WebMethod(operationName = "CheckToken", action = "http://aas.siae.it/CheckToken")
    @WebResult(name = "CheckTokenResult", targetNamespace = "http://aas.siae.it/")
    @RequestWrapper(localName = "CheckToken", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.CheckToken")
    @ResponseWrapper(localName = "CheckTokenResponse", targetNamespace = "http://aas.siae.it/", className = "it.siae.valorizzatore.integration.CheckTokenResponse")
    public String checkToken(
        @WebParam(name = "authenticationToken", targetNamespace = "http://aas.siae.it/")
        String authenticationToken,
        @WebParam(name = "applicationCode", targetNamespace = "http://aas.siae.it/")
        String applicationCode,
        @WebParam(name = "ip", targetNamespace = "http://aas.siae.it/")
        String ip);

}
